Summary:        A library handling all the details of proxy configuration
Name:           libproxy
Version:        0.5.3
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://libproxy.github.io/libproxy/
Source0:        https://github.com/libproxy/%{name}/releases/download/%{name}-%{version}.tar.gz
BuildRequires:  meson gcc vala pkgconfig(duktape)
BuildRequires:  pkgconfig(gio-2.0) >= 2.71.3, pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libcurl) python3-devel pkgconfig(gsettings-desktop-schemas)
Requires:       duktape
Provides:       %{name}-bin
# Folded into main package in 0.5.0.
Provides: python3-%{name} = %{version}-%{release}
Provides: %{name}-pac = %{version}-%{release}
 
# Obsoletes of subpackages prior to 0.5.0 rewrite.
Provides: %{name}-gnome = %{version}-%{release}
Obsoletes: %{name}-gnome < %{version}-%{release}
Provides: %{name}-kde = %{version}-%{release}
Obsoletes: %{name}-kde < %{version}-%{release}
Provides: %{name}-mozjs = %{version}-%{release}
Obsoletes: %{name}-mozjs < %{version}-%{release}
Provides: %{name}-pacrunner = %{version}-%{release}
Obsoletes: %{name}-pacrunner < %{version}-%{release}
Provides: %{name}-webkitgtk4 = %{version}-%{release}
Obsoletes: %{name}-webkitgtk4 < %{version}-%{release}
Provides: %{name}-duktape = %{version}-%{release}
Obsoletes: %{name}-duktape < %{version}-%{release}

%description
libproxy offers the following features:

  * support for all major platforms: Windows, Mac and Linux/UNIX (see upcoming 0.4 release)
  * extremely small core footprint
  * no external dependencies within libproxy core (libproxy plugins may have dependencies)
  * only 3 functions in the stable-ish external API (1.0 will offer full stability)
  * dynamic adjustment to changing network topology
  * a standard way of dealing with proxy settings across all scenarios
  * a sublime sense of joy and accomplishment

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for
developers who use %{name}.

%prep
%autosetup -p1
sed -i '/docs/d' meson.build

%build
%meson \
  -Dconfig-gnome=true \
  -Dconfig-kde=true \
  -Dconfig-osx=false \
  -Dconfig-windows=false \
  -Dintrospection=true \
  -Dtests=true \
  -Dvapi=true \
  -Ddocs=false
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc CHANGELOG.md README.md
%{_bindir}/proxy
%{_libdir}/libproxy.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Libproxy-1.0.typelib
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libpxbackend-1.0.so
%{_mandir}/man8/proxy.8*

%files devel
%{_includedir}/%{name}/
%{_libdir}/libproxy.so
%{_libdir}/pkgconfig/libproxy-1.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Libproxy-1.0.gir
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/libproxy-1.0.deps
%{_datadir}/vala/vapi/libproxy-1.0.vapi

%changelog
* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.5.3-4
- Rebuild for curl-8.4.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.3-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 jackeyji <jackeyji@tencent.com> - 0.5.3-1
- upgrade to 0.5.3

* Mon Jul 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.4.18-4
- Rebuilt for webkitgtk 2.41.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.18-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 13 2022 cunshunxia <cunshunxia@tencent.com> - 0.4.18-1
- initial build
